import request from '@/utils/request'

// 查询联系我日志列表
export function listContactWayLogs(query) {
  return request({
    url: '/qw/contactWayLogs/list',
    method: 'get',
    params: query
  })
}

// 查询联系我日志详细
export function getContactWayLogs(id) {
  return request({
    url: '/qw/contactWayLogs/' + id,
    method: 'get'
  })
}

// 新增联系我日志
export function addContactWayLogs(data) {
  return request({
    url: '/qw/contactWayLogs',
    method: 'post',
    data: data
  })
}

// 修改联系我日志
export function updateContactWayLogs(data) {
  return request({
    url: '/qw/contactWayLogs',
    method: 'put',
    data: data
  })
}

// 删除联系我日志
export function delContactWayLogs(id) {
  return request({
    url: '/qw/contactWayLogs/' + id,
    method: 'delete'
  })
}

// 导出联系我日志
export function exportContactWayLogs(query) {
  return request({
    url: '/qw/contactWayLogs/export',
    method: 'get',
    params: query
  })
}